<?php 
function date_th($date)
{
    date_default_timezone_set("Asia/Bangkok");

    $dt = date_create($date);
    $day = date_format($dt, "d");
    $month = date_format($dt, "m");
    $year = date_format($dt, "Y");
    $monthname = '';
    switch ($month) {
        case "01":
            $monthname = "มกราคม";
            break;
        case "02":
            $monthname = "กุมภาพันธ์";
            break;
        case "03":
            $monthname = "มีนาคม";
            break;
        case "04":
            $monthname = "เมษายน";
            break;
        case "05":
            $monthname = "พฤษภาคม";
            break;
        case "06":
            $monthname = "มิถุนายน";
            break;
        case "07":
            $monthname = "กรกฎาคม";
            break;
        case "08":
            $monthname = "สิงหาคม";
            break;
        case "09":
            $monthname = "กันยายน";
            break;
        case "10":
            $monthname = "ตุลาคม";
            break;
        case "11":
            $monthname = "พฤศจิกายน";
            break;
        case "12":
            $monthname = "ธันวาคม";
            break;
        default:
            $monthname = "";
    }

    return  $day . ' ' . $monthname . ' ' . ($year + 543);

}

